//
//  SelectedCell.h
//  selectedIndexPath
//
//  Created by XLsn0w on 16/8/2.
//  Copyright © 2016年 XLsn0w. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol SelectedCellDelegate <NSObject>

- (void)handleSelectedButtonActionWithSelectedIndexPath:(NSIndexPath *)selectedIndexPath;

@end

@interface SelectedCell : UITableViewCell

@property (nonatomic, weak) id<SelectedCellDelegate> xlDelegate;

@property (nonatomic, strong) UIButton *selectedButton;

@property (assign, nonatomic) NSIndexPath *selectedIndexPath;

@end
