//
//  SelectedCell.m
//  selectedIndexPath
//
//  Created by XLsn0w on 16/8/2.
//  Copyright © 2016年 XLsn0w. All rights reserved.
//

#import "SelectedCell.h"

@implementation SelectedCell

- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier {
    if (self = [super initWithStyle:style reuseIdentifier:reuseIdentifier]) {
        
        _selectedButton = [[UIButton alloc] init];
        [self addSubview:_selectedButton];
        [_selectedButton setFrame:(CGRectMake(30, 50, 50, 50))];
        [_selectedButton addTarget:self action:@selector(selectedButtonAction:) forControlEvents:UIControlEventTouchUpInside];
    }
    return self;
}

- (void)selectedButtonAction:(UIButton *)selectedButton {
    [self.xlDelegate handleSelectedButtonActionWithSelectedIndexPath:self.selectedIndexPath];
}

@end
